package net.northking.cctp.mobile.dto.report;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


@JsonSerialize
@ApiModel(description = "截图信息Dto")
public class DeviceIdNameAndUrlsDetailDto implements Serializable {
    @ApiModelProperty("设备系统标识")
    private String serial;
    @ApiModelProperty("截图标识")
    private String imgStr;
    @ApiModelProperty("截图url")
    private String url;
    @ApiModelProperty("相对url")
    private String relativeUrl;


    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }


    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getImgStr() {
        return imgStr;
    }

    public void setImgStr(String imgStr) {
        this.imgStr = imgStr;
    }

    public String getRelativeUrl() {
        return relativeUrl;
    }

    public void setRelativeUrl(String relativeUrl) {

        this.relativeUrl = relativeUrl;
    }
}
